Bug 15999 - Show Results Tree is too HTTP-centric
Summary: Show Results Tree is too HTTP-centric
Status: RESOLVED FIXED
Alias: None
Product: JMeter
Classification: Unclassified
Component: Main (show other bugs)
Version: Nightly (Please specify date)
Hardware: All All
: P5 enhancement with 1 vote (vote)
Target Milestone: ---
Assignee: JMeter issues mailing list
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2003-01-12 01:33 UTC by Jordi Salvat i Alabart
Modified: 2013-01-01 17:50 UTC (History)
1 user (show)



Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Jordi Salvat i Alabart 2003-01-12 01:33:34 UTC
Show Results Tree displays HTTP-related stuff in the lower pannel even when
viewing results for other types of samplers.
Comment 1 Mike Stover 2003-01-29 16:11:58 UTC
Yes, you're looking for an enhancement that might allow for multiple choices of
lower panels - one for HTTP, one for JDBC, etc.  This could be done, just needs
some refactoring of the component and writing new code to deal with JDBC
samples, for example.  Making this an enhancement request.
Comment 2 Milamber 2010-10-11 18:59:04 UTC
See Bug 37156
Patch add a new interface "RequestView" for the request tab/pane in
listener View Results Tree, driven by a "RequestPanel" class which load all
class which implements RequestView. 

There will have a request pane with tabs on bottom ("Raw", "HTTP" or (todo) other if
JMS/JDBC/LDAP/etc) when we look a HTTP Sampler Result.
Comment 3 Philippe Mouawad 2013-01-01 17:50:59 UTC
Seems to have been fixed